(function (context, $) {

  "use strict";

  context.JK = context.JK || {};
  context.JK.StepUnderstandGear = function (app) {

    var $step = null;
    var operatingSystem;

    function handleHelp() {
      if (operatingSystem == "Win32") {
        return "https://jamkazam.freshdesk.com/support/solutions/articles/66000123616-setup-wizard-windows-step-1-starting-the-setup-wizard"
      }
      else {
        return "https://jamkazam.freshdesk.com/support/solutions/articles/66000123577-setup-wizard-mac-step-1-starting-the-setup-wizard"
      }
    }

    function beforeShow() {
      var $watchVideo = $step.find('.watch-video');
      var videoUrl = 'https://www.youtube.com/watch?v=NiELWY769Tw';
      if (operatingSystem == "Win32") {
        $watchVideo.attr('href', 'https://www.youtube.com/watch?v=Z1GxCljtdCY');
      }
      $watchVideo.attr('href', handleHelp());
    }

    function initialize(_$step, _wizard, _operatingSystem) {
      $step = _$step;

      operatingSystem = _operatingSystem;
    }

    this.handleHelp = handleHelp;
    this.beforeShow = beforeShow;
    this.initialize = initialize;

    return this;
  }
})(window, jQuery);